package com.oracle.ucm.utils.data;

public class resultsContainer
{
  private String m_colhdrs[];
  private String m_colvals[][];
  private int m_numcols;
  private int m_numrows;
  
  public resultsContainer()
  {
    super();
  }
  
  public void init(int numcols, int numrows)
  {
    m_colhdrs = new String[numcols];
    m_colvals = new String[numrows][numcols];
    m_numcols = numcols;
    m_numrows = numrows;
    
  }
  
  public void setCols(String cols[])
  {
    m_colhdrs = cols;
  }
  
  public String[] getCols()
  {
    return m_colhdrs;
  }
  
  public void setRows(String rows[][])
  {
    m_colvals = rows;
  }
  
  public String[][] getRows()
  {
    return m_colvals;
  }
  
  public int getNumRows()
  {
    return m_numrows;
  }
  
  public int getNumCols()
  {
    return m_numcols;
  }
}
